## ocaml-cohttp 4.0.0

=== Makefile ===
.PHONY: build clean test clean all-supported-ocaml-versions

build:
	dune build

test:
	dune runtest

clean:
	dune clean

all-supported-ocaml-versions:
	dune build @install @runtest --workspace jbuild-workspace.dev

=== debian/changelog ===
ocaml-cohttp (4.0.0-3) unstable; urgency=medium

  * Trigger rebuild for a small transition.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 14 Oct 2022 10:52:11 +0200

ocaml-cohttp (4.0.0-2) unstable; urgency=medium

  * Add deps on ppx-sexp-conv by hand... why!?

 -- Julien Puydt <jpuydt@debian.org>  Tue, 11 Oct 2022 07:50:28 +0200

ocaml-cohttp (4.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #1002566)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jan 2022 08:48:47 +0100

=== debian/control ===
Source: ocaml-cohttp
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml-nox,
 ocaml-dune,
 libre-ocaml-dev,
 liburi-ocaml-dev,
 libsexplib0-ocaml-dev,
 libppx-sexp-conv-ocaml-dev,
 libstringext-ocaml-dev,
 libbase64-ocaml-dev,
 libfmt-ocaml-dev,
 libjsonm-ocaml-dev,
 libalcotest-ocaml-dev,
 liblogs-ocaml-dev,
 libconduit-lwt-ocaml-dev,
 libmagic-mime-ocaml-dev,
 libounit-ocaml-dev,
 netbase,
 dh-ocaml
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/mirage/ocaml-cohttp
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-cohttp.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-cohttp

Package: libcohttp-ocaml-dev
Architecture: any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: OCaml library for HTTP clients and servers (dev)
 Cohttp is an OCaml library for creating HTTP daemons. It has a
 portable HTTP parser, and implementations using various asynchronous
 programming libraries.
 .
 It has concrete implementations for many targets, including lwt,
 lwt-unix, lwt-jsoo.
 .
 You can implement other targets using the parser very easily. Look at
 the IO signature in lib/s.mli and implement that in the desired
 backend.
 .
 You can activate some runtime debugging by setting COHTTP_DEBUG to
 any value, and all requests and responses will be written to
 stderr. Further debugging of the connection layer can be obtained by
 setting CONDUIT_DEBUG to any value.
 .
 This package contains development files.

Package: libcohttp-ocaml
Architecture: any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Suggests: ocaml-findlib
Description: OCaml library for HTTP clients and servers (runtime)
 Cohttp is an OCaml library for creating HTTP daemons. It has a
 portable HTTP parser, and implementations using various asynchronous
 programming libraries.
 .
 It has concrete implementations for many targets, including lwt,
 lwt-unix, lwt-jsoo.
 .
 You can implement other targets using the parser very easily. Look at
 the IO signature in lib/s.mli and implement that in the desired
 backend.
 .
 You can activate some runtime debugging by setting COHTTP_DEBUG to
 any value, and all requests and responses will be written to
 stderr. Further debugging of the connection layer can be obtained by
 setting CONDUIT_DEBUG to any value.
 .
 This package contains the shared runtime libraries.

Package: libcohttp-lwt-ocaml-dev
Architecture: any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends}, libppx-sexp-conv-ocaml-dev
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: CoHTTP implementation using the Lwt concurrency library (dev)
 This is a portable implementation of CoHTTP that uses the Lwt
 concurrency library to multiplex IO. It implements as much of the
 logic in an OS-independent way as possible, so that more specialised
 modules can be tailored for different targets. For example, you can
 install cohttp-lwt-unix or cohttp-lwt-jsoo for a Unix or JavaScript
 backend, or cohttp-mirage for the MirageOS unikernel version of the
 library. All of these implementations share the same IO logic from
 this module.
 .
 This package contains development files.

Package: libcohttp-lwt-ocaml
Architecture: any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends}, libppx-sexp-conv-ocaml
Provides: ${ocaml:Provides}
Suggests: ocaml-findlib
Description: CoHTTP implementation using the Lwt concurrency library (runtime)
 This is a portable implementation of CoHTTP that uses the Lwt
 concurrency library to multiplex IO. It implements as much of the
 logic in an OS-independent way as possible, so that more specialised
 modules can be tailored for different targets. For example, you can
 install cohttp-lwt-unix or cohttp-lwt-jsoo for a Unix or JavaScript
 backend, or cohttp-mirage for the MirageOS unikernel version of the
 library. All of these implementations share the same IO logic from
 this module.
 .
 This package contains the shared runtime libraries.

Package: libcohttp-lwt-unix-ocaml-dev
Architecture: any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: CoHTTP implementation for Unix and Windows using Lwt (dev)
 An implementation of an HTTP client and server using the Lwt
 concurrency library. See the Cohttp_lwt_unix module for information
 on how to use this. The package also installs cohttp-curl-lwt and a
 cohttp-server-lwt binaries for quick uses of a HTTP(S) client and
 server respectively.
 .
 Although the name implies that this only works under Unix, it should
 also be fine under Windows too.
 .
 This package contains development files.

Package: libcohttp-lwt-unix-ocaml
Architecture: any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Suggests: ocaml-findlib
Description: CoHTTP implementation for Unix and Windows using Lwt (runtime)
 An implementation of an HTTP client and server using the Lwt
 concurrency library. See the Cohttp_lwt_unix module for information
 on how to use this. The package also installs cohttp-curl-lwt and a
 cohttp-server-lwt binaries for quick uses of a HTTP(S) client and
 server respectively.
 .
 Although the name implies that this only works under Unix, it should
 also be fine under Windows too.
 .
 This package contains the shared runtime libraries.

Package: libcohttp-lwt-jsoo-ocaml-dev
Architecture: any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: CoHTTP implementation for the Js_of_ocaml JavaScript compiler (dev)
 An implementation of an HTTP client for JavaScript, but using the
 CoHTTP types. This lets you build HTTP clients that can compile
 natively (using one of the other Cohttp backends such as
 cohttp-lwt-unix) and also to native JavaScript via js_of_ocaml.
 .
 This package contains development files.

Package: libcohttp-lwt-jsoo-ocaml
Architecture: any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Suggests: ocaml-findlib
Description: CoHTTP implementation for the Js_of_ocaml JavaScript compiler (runtime)
 An implementation of an HTTP client for JavaScript, but using the
 CoHTTP types. This lets you build HTTP clients that can compile
 natively (using one of the other Cohttp backends such as
 cohttp-lwt-unix) and also to native JavaScript via js_of_ocaml.
 .
 This package contains the shared runtime libraries.

=== debian/watch ===
version=4
https://github.com/mirage/ocaml-cohttp/releases .*-v?([\d\.]+)\.tbz

## ocaml-cohttp 5.1.0

=== debian/changelog ===
ocaml-cohttp (5.1.0-2build3) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 28 Aug 2023 19:33:33 +0200

ocaml-cohttp (5.1.0-2build2) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 20 Aug 2023 09:35:33 +0200

ocaml-cohttp (5.1.0-2build1) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 18 Aug 2023 20:12:38 +0200

ocaml-cohttp (5.1.0-2) unstable; urgency=medium

  * Use ocaml_dune DH buildsystem
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Mon, 07 Aug 2023 05:10:19 +0200

ocaml-cohttp (5.1.0-1) unstable; urgency=medium

  * Add deps on ppx-sexp-conv by hand... why!?
  * Fix d/watch.
  * New upstream release.
  * Complete b-deps.
  * Fix compilation with recent dune

 -- Julien Puydt <jpuydt@debian.org>  Thu, 06 Jul 2023 09:37:57 +0200

=== debian/watch ===
version=4
https://github.com/mirage/ocaml-cohttp/tags .*/v?([\d\.]+)\.tar\.gz

## ocaml-cohttp 5.3.0

=== Makefile ===
.PHONY: build clean test clean

build:
	dune build

test:
	dune runtest

js-test:
	dune build @runjstest

clean:
	dune clean

=== debian/changelog ===
ocaml-cohttp (5.3.0-1+rpi1) trixie-staging; urgency=medium

  * Remove build-dependency on libcrowbar-ocaml-dev, which requires afl++
    which is not currently in raspbian. Disable test which depends on it.
  * Disable testsuite.

 -- Peter Michael Green <plugwash@raspbian.org>  Sat, 23 Dec 2023 08:03:57 +0000

ocaml-cohttp (5.3.0-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sun, 08 Oct 2023 20:49:27 +0200

=== debian/control ===
--- 
+++ 
@@ -2,28 +2,26 @@
 Section: ocaml
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders:
- Stéphane Glondu <glondu@debian.org>
-Build-Depends:
- debhelper-compat (= 13),
- ocaml-nox,
- ocaml-dune,
- libre-ocaml-dev,
- liburi-ocaml-dev,
- libsexplib0-ocaml-dev,
- libppx-sexp-conv-ocaml-dev,
- libstringext-ocaml-dev,
- libbase64-ocaml-dev,
- libfmt-ocaml-dev,
- libjsonm-ocaml-dev,
- libalcotest-ocaml-dev,
- liblogs-ocaml-dev,
- libconduit-lwt-ocaml-dev,
- libmagic-mime-ocaml-dev,
- libounit-ocaml-dev,
- netbase,
- dh-ocaml
-Standards-Version: 4.6.0
+Uploaders: Stéphane Glondu <glondu@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-ocaml (>= 1.2.2),
+               libalcotest-ocaml-dev <!nocheck>,
+               libbase64-ocaml-dev,
+               libconduit-lwt-ocaml-dev,
+               libfmt-ocaml-dev <!nocheck>,
+               libjsonm-ocaml-dev <!nocheck>,
+               liblogs-ocaml-dev,
+               libmagic-mime-ocaml-dev,
+               libounit-ocaml-dev,
+               libppx-sexp-conv-ocaml-dev,
+               libre-ocaml-dev,
+               libsexplib0-ocaml-dev,
+               libstringext-ocaml-dev,
+               liburi-ocaml-dev,
+               netbase,
+               ocaml-dune,
+               ocaml
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/mirage/ocaml-cohttp
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-cohttp.git
@@ -31,10 +29,7 @@
 
 Package: libcohttp-ocaml-dev
 Architecture: any
-Depends:
- ${shlibs:Depends},
- ${ocaml:Depends},
- ${misc:Depends}
+Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
 Provides: ${ocaml:Provides}
 Recommends: ocaml-findlib
 Description: OCaml library for HTTP clients and servers (dev)
@@ -58,10 +53,7 @@
 
 Package: libcohttp-ocaml
 Architecture: any
-Depends:
- ${shlibs:Depends},
- ${ocaml:Depends},
- ${misc:Depends}
+Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
 Provides: ${ocaml:Provides}
 Suggests: ocaml-findlib
 Description: OCaml library for HTTP clients and servers (runtime)
@@ -85,10 +77,10 @@
 
 Package: libcohttp-lwt-ocaml-dev
 Architecture: any
-Depends:
- ${shlibs:Depends},
- ${ocaml:Depends},
- ${misc:Depends}, libppx-sexp-conv-ocaml-dev
+Depends: libppx-sexp-conv-ocaml-dev,
+         ${misc:Depends},
+         ${ocaml:Depends},
+         ${shlibs:Depends}
 Provides: ${ocaml:Provides}
 Recommends: ocaml-findlib
 Description: CoHTTP implementation using the Lwt concurrency library (dev)
@@ -105,10 +97,10 @@
 
 Package: libcohttp-lwt-ocaml
 Architecture: any
-Depends:
- ${shlibs:Depends},
- ${ocaml:Depends},
- ${misc:Depends}, libppx-sexp-conv-ocaml
+Depends: libppx-sexp-conv-ocaml,
+         ${misc:Depends},
+         ${ocaml:Depends},
+         ${shlibs:Depends}
 Provides: ${ocaml:Provides}
 Suggests: ocaml-findlib
 Description: CoHTTP implementation using the Lwt concurrency library (runtime)
@@ -125,10 +117,7 @@
 
 Package: libcohttp-lwt-unix-ocaml-dev
 Architecture: any
-Depends:
- ${shlibs:Depends},
- ${ocaml:Depends},
- ${misc:Depends}
+Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
 Provides: ${ocaml:Provides}
 Recommends: ocaml-findlib
 Description: CoHTTP implementation for Unix and Windows using Lwt (dev)
@@ -145,10 +134,7 @@
 
 Package: libcohttp-lwt-unix-ocaml
 Architecture: any
-Depends:
- ${shlibs:Depends},
- ${ocaml:Depends},
- ${misc:Depends}
+Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
 Provides: ${ocaml:Provides}
 Suggests: ocaml-findlib
 Description: CoHTTP implementation for Unix and Windows using Lwt (runtime)
@@ -165,10 +151,7 @@
 
 Package: libcohttp-lwt-jsoo-ocaml-dev
 Architecture: any
-Depends:
- ${shlibs:Depends},
- ${ocaml:Depends},
- ${misc:Depends}
+Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
 Provides: ${ocaml:Provides}
 Recommends: ocaml-findlib
 Description: CoHTTP implementation for the Js_of_ocaml JavaScript compiler (dev)
@@ -181,10 +164,7 @@
 
 Package: libcohttp-lwt-jsoo-ocaml
 Architecture: any
-Depends:
- ${shlibs:Depends},
- ${ocaml:Depends},
- ${misc:Depends}
+Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
 Provides: ${ocaml:Provides}
 Suggests: ocaml-findlib
 Description: CoHTTP implementation for the Js_of_ocaml JavaScript compiler (runtime)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml --buildsystem ocaml_dune

override_dh_auto_test:
	echo testsuite disabled.
